Bug 1284017 - nss-util FTBFS during stage2 bootstrap - "ld: cannot find -lnspr4"
Summary: nss-util FTBFS during stage2 bootstrap - "ld: cannot find -lnspr4"
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nss-util   
(Show other bugs)
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elio Maldonado Batiz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: fedora-bootstrap
TreeView+ depends on / blocked
 
Reported: 2015-11-20 14:44 UTC by Jaromír Cápík
Modified: 2016-02-01 02:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 15:52:54 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nss-util.log (29.28 KB, text/plain)
2015-11-20 14:44 UTC, Jaromír Cápík
no flags Details

Description Jaromír Cápík 2015-11-20 14:44:08 UTC
Created attachment 1097230 [details]
nss-util.log

Description of problem:
During stage2 bootstrap we experience FTBFS in nss-util on x86_64.

---
/usr/lib64/gcc/x86_64-linux-gnu/4.9.2/../../../../x86_64-linux-gnu/bin/ld: cannot find -lnspr4
collect2: error: ld returned 1 exit status
../../coreconf/rules.mk:285: recipe for target 'Linux4.0_x86_64_glibc_PTH_64_OPT.OBJ/libnssutil3.so' failed
make[3]: *** [Linux4.0_x86_64_glibc_PTH_64_OPT.OBJ/libnssutil3.so] Error 1
make[3]: Leaving directory '/stage2/rpmbuild/BUILD/nss-util-3.20.1/nss/lib/util'
../coreconf/rules.mk:101: recipe for target 'libs' failed
make[2]: *** [libs] Error 2
make[2]: Leaving directory '/stage2/rpmbuild/BUILD/nss-util-3.20.1/nss/lib'
coreconf/rules.mk:101: recipe for target 'libs' failed
make[1]: *** [libs] Error 2
make[1]: Leaving directory '/stage2/rpmbuild/BUILD/nss-util-3.20.1/nss'
---

The full log is attached.


Version-Release number of selected component (if applicable):
nss-util-3.20.1-1.0.fc21


How reproducible:
always

Comment 1 Fedora End Of Life 2015-12-02 15:53:04 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 2 Jaromír Cápík 2015-12-14 15:40:44 UTC
The issue disappeared with the 64-bit enablement fix in the nspr recipe.


Note You need to log in before you can comment on or make changes to this bug.